<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>OrderFood.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-4</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial4.singleton.core</a> &gt; <span class="el_source">OrderFood.java</span></div><h1>OrderFood.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial4.singleton.core;

import java.lang.Thread;

public class OrderFood {

    private String food;

<span class="fc" id="L9">    private static OrderFood orderFood = new OrderFood();</span>

<span class="fc" id="L11">    private OrderFood() {</span>
<span class="fc" id="L12">        food = &quot;there are no order, you must order first&quot;;</span>
<span class="fc" id="L13">    }</span>

    //Todo : Complete Me with eager instantiation approach
    public static OrderFood getInstance() {
<span class="fc" id="L17">        return orderFood;</span>
    }

    public String getFood() {
<span class="fc" id="L21">        return food;</span>
    }

    public void setFood(String food) {
<span class="fc" id="L25">        this.food = food;</span>
<span class="fc" id="L26">    }</span>

    @Override
    public String toString() {
<span class="fc" id="L30">        return food;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>